package oop.Enumeration;

public class Test {

	public static void main(String[] args) {
		// Numbers val1 = new Numbers(); verboten da enum Konstruktoren private ist	
										// und ONE automatisch static ist 
		   Numbers val1 = Numbers.ONE; // TWO ist ein Objekt
		   
		   switch (val1) {
		   
		   case ONE: System.out.println("1");
		   break;
		   
		   case TWO: System.out.println("2");
		   break;
		   
		   case THREE: System.out.println("3");
		   break;
		   }
		   
		  val1.print();
		  
		  System.out.println(Wochentage.MONTAG.getStatus());
		  Wochentage.MONTAG.testmethode();
		  System.out.println(Wochentage.DIENSTAG.getStatus());
		  Wochentage.DIENSTAG.testmethode();
		  
		  
		 
			
			
	}

}
